
Redmine - Defect #8388

Parent Tasks double count Estimated Time totals

2011-05-17 20:10 - Tod Beardsley

Status: Closed Start date: 2011-05-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

If you have a bug or feature as the Parent Task of other bugs or features in the same target version, the total estimated time counts

both the parent task time (which is derived from the child tasks), and the child task time. For one level of inheritance, this causes

double counting. For multiple levels of inheritance, this causes some multiple of counting.

To reproduce:

Create Bug #1 with Target version 1

Create Bug #2 with Target version 1, call it 8 hours estimated time, and assign #1 as its parent.

Create Bug #3 with Target version 1, call it 8 hours estimated time, and assign #1 as its parent.

Any calculation involving total estimated time will total to 32 hours, with 16 hours for Bug #1, 8 hours for Bug #2, and 8 hours for Bug 

#3. It should total to only 16 hours.

History

#1 - 2011-06-01 18:49 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Which calculation are you talking about?

In the core, there's only one calcultation that involves estimated hours, it's on the version view and it actually works as expected: if these 3 issues are

assigned to version A, the estimated time for version A will be 16 hours.

#2 - 2012-07-05 20:27 - Martin Fister

I've just started using Redmine and faced a similar problem so I thought I would update with greater details.

Taking the above example, when I click on the Chart tab I see a burndown chart of all my work. This chart has 32 hours of total work, because it's

counting bug #1 as well as bugs #2/#3, even though bug #1 is just a parent task aggregating the sub tasks.

#3 - 2012-07-06 19:37 - Mischa The Evil

- Status changed from New to Closed

- Resolution changed from Cant reproduce to Invalid

Martin Fister wrote:

... when I click on the Chart tab I see a burndown chart of all my work. This chart has 32 hours of total work, because it's counting bug #1 as well

as bugs #2/#3, even though bug #1 is just a parent task aggregating the sub tasks.

 This is a plugin issue. Please report it to the plugin author instead.
